## org.eclipse.emf.codegen.ecore.genmodel.provider
Class GenModelItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.eclipse.emf.codegen.ecore.genmodel.provider.GenBaseItemProvider
                  org.eclipse.emf.codegen.ecore.genmodel.provider.GenModelItemProvider

All Implemented Interfaces:
  Adapter, Adapter.Internal, ResourceLocator, CreateChildCommand.Helper, IChangeNotifier, IDisposable, IEditingDomainItemProvider, IItemLabelProvider, IItemPropertySource, IStructuredItemContentProvider, ITreeItemContentProvider

    public class GenModelItemProvider

extends GenBaseItemProvider
implements IEditingDomainItemProvider, IStructuredItemContentProvider, ITreeItemContentProvider, IItemLabelProvider, IItemPropertySource

This is the item provider adapter for a `GenModel` object.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.provider.GenBaseItemProvider
`GenBaseItemProvider.GenItemPropertyDescriptor, GenBaseItemProvider.UnderlayedImage`

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`GenModelItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier

Method Summary
`protected void` `addArrayAccessorsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Array Accessors feature
`protected void` `addBinaryCompatibleReflectiveMethodsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Binary Compatible Reflective Methods feature
`protected void` `addBooleanFlagsFieldPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Boolean Flags Field feature
`protected void` `addBooleanFlagsReservedBitsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Boolean Flags Reserved Bits feature
`protected void` `addBundleManifestPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Bundle Manifest feature
`protected void` `addClassNamePatternPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Class Name Pattern feature
`protected void` `addCodeFormattingPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Code Formatting feature
`protected void` `addColorProvidersPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Color Providers feature
`protected void` `addComplianceLevelPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Compliance Level feature
`protected void` `addContainmentProxiesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Containment Proxies feature
`protected void` `addCopyrightFieldsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Copyright Fields feature
`protected void` `addCopyrightTextPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Copyright Text feature
`protected void` `addCreationCommandsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Creation Commands feature
`protected void` `addCreationIconsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Creation Icons feature
`protected void` `addCreationSubmenusPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Creation Submenus feature
`protected void` `addDynamicTemplatesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Dynamic Templates feature
`protected void` `addEditDirectoryPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Edit Directory feature
`protected void` `addEditorDirectoryPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Editor Directory feature
`protected void` `addEditorPluginClassPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Editor Plugin Class feature
`protected void` `addEditorPluginIDPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Editor Plugin ID feature
`protected void` `addEditorPluginVariablesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Editor Plugin Variables feature
`protected void` `addEditPluginClassPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Edit Plugin Class feature
`protected void` `addEditPluginIDPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Edit Plugin ID feature
`protected void` `addEditPluginVariablesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Edit Plugin Variables feature
`protected void` `addFacadeHelperClassPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Facade Helper Class feature
`protected void` `addFeatureDelegationPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Feature Delegation feature
`protected void` `addFeatureMapWrapperClassPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Feature Map Wrapper Class feature
`protected void` `addFeatureMapWrapperInterfacePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Feature Map Wrapper Interface feature
`protected void` `addFeatureMapWrapperInternalInterfacePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Feature Map Wrapper Internal Interface feature
`protected void` `addFontProvidersPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Font Providers feature
`protected void` `addForceOverwritePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Force Overwrite feature
`protected void` `addGenerateSchemaPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Generate Schema feature
`protected void` `addInterfaceNamePatternPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Interface Name Pattern feature
`protected void` `addLanguagePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Language feature
`protected void` `addMinimalReflectiveMethodsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Minimal Reflective Methods feature
`protected void` `addModelDirectoryPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Model Directory feature
`protected void` `addModelNamePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Model Name feature
`protected void` `addModelPluginClassPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Model Plugin Class feature
`protected void` `addModelPluginIDPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Model Plugin ID feature
`protected void` `addModelPluginVariablesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Model Plugin Variables feature
`protected void` `addNonNLSMarkersPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Non NLS Markers feature
`protected void` `addOperationReflectionPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Operation Reflection feature
`protected void` `addOptimizedHasChildrenPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Optimized Has Children feature
`protected void` `addPackedEnumsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Packed Enums feature
`protected void` `addProviderRootExtendsClassPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Provider Root Extends Class feature
`protected void` `addPublicConstructorsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Public Constructors feature
`protected void` `addRedirectionPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Redirection feature
`protected void` `addRichClientPlatformPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Rich Client Platform feature
`protected void` `addRootExtendsClassPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Root Extends Class feature
`protected void` `addRootExtendsInterfacePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Root Extends Interface feature
`protected void` `addRootImplementsInterfacePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Root Implements Interface feature
`protected void` `addRuntimeCompatibilityPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Runtime Compatibility feature
`protected void` `addRuntimeJarPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Runtime Jar feature
`protected void` `addRuntimeVersionPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Runtime Version feature
`protected void` `addStaticPackagesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Static Packages feature
`protected void` `addSuppressContainmentPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Suppress Containment feature
`protected void` `addSuppressEMFMetaDataPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Suppress EMF Meta Data feature
`protected void` `addSuppressEMFModelTagsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Suppress EMF Model Tags feature
`protected void` `addSuppressEMFTypesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Suppress EMF Types feature
`protected void` `addSuppressGenModelAnnotationsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Suppress Gen Model Annotations feature
`protected void` `addSuppressInterfacesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Suppress Interfaces feature
`protected void` `addSuppressNotificationPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Suppress Notification feature
`protected void` `addSuppressUnsettablePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Suppress Unsettable feature
`protected void` `addTableProvidersPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Table Providers feature
`protected void` `addTemplateDirectoryPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Template Directory feature
`protected void` `addTemplatePluginVariablesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Template Plugin Variables feature
`protected void` `addTestsDirectoryPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Tests Directory feature
`protected void` `addTestsPluginIDPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Tests Plugin ID feature
`protected void` `addTestsPluginVariablesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Tests Plugin Variables feature
`protected void` `addTestSuiteClassPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Test Suite Class feature
`protected void` `addUpdateClasspathPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Update Classpath feature
`protected EStructuralFeature` `getChildFeature(java.lang.Object object, java.lang.Object child)`

`java.util.Collection<? extends EStructuralFeature>`

`getChildrenFeatures(java.lang.Object object)`
This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`

`java.lang.Object` `getImage(java.lang.Object object)` This implements `IItemLabelProvider.getImage` by returning null.
`java.util.List<IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class
`java.lang.String` `getText(java.lang.Object object)` This returns the label text for the adapted class.
`void` `notifyChanged(Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.provider.GenBaseItemProvider
`canEdit, createItemPropertyDescriptor, getResourceLocator`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, collectNewChildDescriptors, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildReference, getChildren, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors, getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Constructor Detail

### GenModelItemProvider

    public GenModelItemProvider(AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `GenBaseItemProvider`

### addCopyrightTextPropertyDescriptor

    protected void addCopyrightTextPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Copyright Text feature.

### addModelDirectoryPropertyDescriptor

    protected void addModelDirectoryPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Model Directory feature.

### addCreationCommandsPropertyDescriptor

    protected void addCreationCommandsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Creation Commands feature.

### addCreationIconsPropertyDescriptor

    protected void addCreationIconsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Creation Icons feature.

### addEditDirectoryPropertyDescriptor

    protected void addEditDirectoryPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Edit Directory feature.

### addCreationSubmenusPropertyDescriptor

    protected void addCreationSubmenusPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Creation Submenus feature.

### addEditorDirectoryPropertyDescriptor

    protected void addEditorDirectoryPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Editor Directory feature.

### addModelPluginIDPropertyDescriptor

    protected void addModelPluginIDPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Model Plugin ID feature.

### addTemplateDirectoryPropertyDescriptor

    protected void addTemplateDirectoryPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Template Directory feature.

### addRuntimeJarPropertyDescriptor

    protected void addRuntimeJarPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Runtime Jar feature.

### addDynamicTemplatesPropertyDescriptor

    protected void addDynamicTemplatesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Dynamic Templates feature.

### addRedirectionPropertyDescriptor

    protected void addRedirectionPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Redirection feature.

### addForceOverwritePropertyDescriptor

    protected void addForceOverwritePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Force Overwrite feature.

### addModelNamePropertyDescriptor

    protected void addModelNamePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Model Name feature.

### addModelPluginClassPropertyDescriptor

    protected void addModelPluginClassPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Model Plugin Class feature.

### addEditPluginClassPropertyDescriptor

    protected void addEditPluginClassPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Edit Plugin Class feature.

### addEditorPluginClassPropertyDescriptor

    protected void addEditorPluginClassPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Editor Plugin Class feature.

### addUpdateClasspathPropertyDescriptor

    protected void addUpdateClasspathPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Update Classpath feature.

### addGenerateSchemaPropertyDescriptor

    protected void addGenerateSchemaPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Generate Schema feature.

### addNonNLSMarkersPropertyDescriptor

    protected void addNonNLSMarkersPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Non NLS Markers feature.

### addStaticPackagesPropertyDescriptor

    protected void addStaticPackagesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Static Packages feature.

### addModelPluginVariablesPropertyDescriptor

    protected void addModelPluginVariablesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Model Plugin Variables feature.

### addRootExtendsInterfacePropertyDescriptor

    protected void addRootExtendsInterfacePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Root Extends Interface feature.

### addRootExtendsClassPropertyDescriptor

    protected void addRootExtendsClassPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Root Extends Class feature.

### addRootImplementsInterfacePropertyDescriptor

    protected void addRootImplementsInterfacePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Root Implements Interface feature.

### addSuppressEMFTypesPropertyDescriptor

    protected void addSuppressEMFTypesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Suppress EMF Types feature.

### addSuppressEMFMetaDataPropertyDescriptor

    protected void addSuppressEMFMetaDataPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Suppress EMF Meta Data feature.

### addSuppressEMFModelTagsPropertyDescriptor

    protected void addSuppressEMFModelTagsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Suppress EMF Model Tags feature.

### addSuppressInterfacesPropertyDescriptor

    protected void addSuppressInterfacesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Suppress Interfaces feature.

### addFeatureMapWrapperInterfacePropertyDescriptor

    protected void addFeatureMapWrapperInterfacePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Feature Map Wrapper Interface feature.

### addFeatureMapWrapperInternalInterfacePropertyDescriptor

    protected void addFeatureMapWrapperInternalInterfacePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Feature Map Wrapper Internal Interface feature.

### addFeatureMapWrapperClassPropertyDescriptor

    protected void addFeatureMapWrapperClassPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Feature Map Wrapper Class feature.

### addRuntimeCompatibilityPropertyDescriptor

    protected void addRuntimeCompatibilityPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Runtime Compatibility feature.

### addRichClientPlatformPropertyDescriptor

    protected void addRichClientPlatformPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Rich Client Platform feature.

### addCodeFormattingPropertyDescriptor

    protected void addCodeFormattingPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Code Formatting feature.

### addTestsDirectoryPropertyDescriptor

    protected void addTestsDirectoryPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Tests Directory feature.

### addTestSuiteClassPropertyDescriptor

    protected void addTestSuiteClassPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Test Suite Class feature.

### addBooleanFlagsFieldPropertyDescriptor

    protected void addBooleanFlagsFieldPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Boolean Flags Field feature.

### addBooleanFlagsReservedBitsPropertyDescriptor

    protected void addBooleanFlagsReservedBitsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Boolean Flags Reserved Bits feature.

### addBundleManifestPropertyDescriptor

    protected void addBundleManifestPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Bundle Manifest feature.

### addFeatureDelegationPropertyDescriptor

    protected void addFeatureDelegationPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Feature Delegation feature.

### addContainmentProxiesPropertyDescriptor

    protected void addContainmentProxiesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Containment Proxies feature.

### addMinimalReflectiveMethodsPropertyDescriptor

    protected void addMinimalReflectiveMethodsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Minimal Reflective Methods feature.

### addSuppressContainmentPropertyDescriptor

    protected void addSuppressContainmentPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Suppress Containment feature.

### addSuppressNotificationPropertyDescriptor

    protected void addSuppressNotificationPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Suppress Notification feature.

### addArrayAccessorsPropertyDescriptor

    protected void addArrayAccessorsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Array Accessors feature.

### addSuppressUnsettablePropertyDescriptor

    protected void addSuppressUnsettablePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Suppress Unsettable feature.

### addFacadeHelperClassPropertyDescriptor

    protected void addFacadeHelperClassPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Facade Helper Class feature.

### addComplianceLevelPropertyDescriptor

    protected void addComplianceLevelPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Compliance Level feature.

### addSuppressGenModelAnnotationsPropertyDescriptor

    protected void addSuppressGenModelAnnotationsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Suppress Gen Model Annotations feature.

### addCopyrightFieldsPropertyDescriptor

    protected void addCopyrightFieldsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Copyright Fields feature.

### addBinaryCompatibleReflectiveMethodsPropertyDescriptor

    protected void addBinaryCompatibleReflectiveMethodsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Binary Compatible Reflective Methods feature.

### addPublicConstructorsPropertyDescriptor

    protected void addPublicConstructorsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Public Constructors feature.

### addTemplatePluginVariablesPropertyDescriptor

    protected void addTemplatePluginVariablesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Template Plugin Variables feature.

### addProviderRootExtendsClassPropertyDescriptor

    protected void addProviderRootExtendsClassPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Provider Root Extends Class feature.

### addEditPluginIDPropertyDescriptor

    protected void addEditPluginIDPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Edit Plugin ID feature.

### addEditPluginVariablesPropertyDescriptor

    protected void addEditPluginVariablesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Edit Plugin Variables feature.

### addEditorPluginIDPropertyDescriptor

    protected void addEditorPluginIDPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Editor Plugin ID feature.

### addEditorPluginVariablesPropertyDescriptor

    protected void addEditorPluginVariablesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Editor Plugin Variables feature.

### addTestsPluginIDPropertyDescriptor

    protected void addTestsPluginIDPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Tests Plugin ID feature.

### addTestsPluginVariablesPropertyDescriptor

    protected void addTestsPluginVariablesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Tests Plugin Variables feature.

### addOptimizedHasChildrenPropertyDescriptor

    protected void addOptimizedHasChildrenPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Optimized Has Children feature.

### addTableProvidersPropertyDescriptor

    protected void addTableProvidersPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Table Providers feature.

### addColorProvidersPropertyDescriptor

    protected void addColorProvidersPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Color Providers feature.

### addFontProvidersPropertyDescriptor

    protected void addFontProvidersPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Font Providers feature.

### addRuntimeVersionPropertyDescriptor

    protected void addRuntimeVersionPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Runtime Version feature.

### addLanguagePropertyDescriptor

    protected void addLanguagePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Language feature.

### addPackedEnumsPropertyDescriptor

    protected void addPackedEnumsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Packed Enums feature.

### addInterfaceNamePatternPropertyDescriptor

    protected void addInterfaceNamePatternPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Interface Name Pattern feature.

### addClassNamePatternPropertyDescriptor

    protected void addClassNamePatternPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Class Name Pattern feature.

### addOperationReflectionPropertyDescriptor

    protected void addOperationReflectionPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Operation Reflection feature.

### getChildrenFeatures

    public java.util.Collection<? extends EStructuralFeature> getChildrenFeatures(java.lang.Object object)

  This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.

  Overrides:
    `getChildrenFeatures` in class `GenBaseItemProvider`

### getChildFeature

    protected EStructuralFeature getChildFeature(java.lang.Object object,
                                                 java.lang.Object child)

  Overrides:
    `getChildFeature` in class `GenBaseItemProvider`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  Description copied from class: `ItemProviderAdapter`
  This implements `IItemLabelProvider.getImage` by returning null. Most things really should have an icon, but not having one is technically correct too.

  Specified by:
    `getImage` in interface `IItemLabelProvider`
  Overrides:
    `getImage` in class `ItemProviderAdapter`

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `IItemLabelProvider`
  Overrides:
    `getText` in class `GenBaseItemProvider`

### notifyChanged

    public void notifyChanged(Notification notification)

  This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

  Specified by:
    `notifyChanged` in interface `Adapter`
  Overrides:
    `notifyChanged` in class `GenBaseItemProvider`
  Parameters:
    `notification` - a description of the change.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.